﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ModalDialogDemo
{
    /// <summary>
    /// A WPF implementation of IModalDialogHost
    /// </summary>
    public partial class ModalDialogHost : Window, IModalDialogHost
    {
        public ModalDialogHost()
        {
            InitializeComponent();
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        public UserControl HostedContent
        {
            get
            {
                return (UserControl)contentHost.Content;
            }
            set
            {
                contentHost.Content = value;
            }
        }

        public void Show(DialogClosed closedCallback)
        {
            ShowDialog();
            closedCallback(this);
        }
    }
}
